VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo:
[legend]

## Public Member Functions

| DeviceQueueCreateInfo (DeviceQueueCreateFlags flags_=DeviceQueueCreateFlags(), uint32_t queueFamilyIndex_=0, uint32_t queueCount_=0, const float *pQueuePriorities_=nullptr)
| DeviceQueueCreateInfo (VkDeviceQueueCreateInfo const &rhs)
DeviceQueueCreateInfo & | operator= (VkDeviceQueueCreateInfo const &rhs)
DeviceQueueCreateInfo & | setPNext (const void *pNext_)
DeviceQueueCreateInfo & | setFlags (DeviceQueueCreateFlags flags_)
DeviceQueueCreateInfo & | setQueueFamilyIndex (uint32_t queueFamilyIndex_)
DeviceQueueCreateInfo & | setQueueCount (uint32_t queueCount_)
DeviceQueueCreateInfo & | setPQueuePriorities (const float *pQueuePriorities_)
| operator VkDeviceQueueCreateInfo const & () const
| operator VkDeviceQueueCreateInfo & ()
bool | operator== (DeviceQueueCreateInfo const &rhs) const
bool | operator!= (DeviceQueueCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceQueueCreateFlags | flags
uint32_t | queueFamilyIndex
uint32_t | queueCount
const float * | pQueuePriorities

## Private Attributes

StructureType | sType = StructureType::eDeviceQueueCreateInfo

## Detailed Description

Definition at line 22025 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DeviceQueueCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::DeviceQueueCreateInfo | ( | DeviceQueueCreateFlags | flags_ = `DeviceQueueCreateFlags()`,
|  | uint32_t | queueFamilyIndex_ = `0`,
|  | uint32_t | queueCount_ = `0`,
|  | const float * | pQueuePriorities_ = `nullptr`
| ) |  |

inline

Definition at line 22027 of file vulkan.hpp.

: flags( flags_ )
, queueFamilyIndex( queueFamilyIndex_ )
, queueCount( queueCount_ )
, pQueuePriorities( pQueuePriorities_ )
{
}

## DeviceQueueCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::DeviceQueueCreateInfo | ( | VkDeviceQueueCreateInfo const & | rhs | ) |

inline

Definition at line 22038 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceQueueCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDeviceQueueCreateInfo &()

VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::operator VkDeviceQueueCreateInfo & | ( |  | ) |

inline

Definition at line 22083 of file vulkan.hpp.

{
return *reinterpret_cast<VkDeviceQueueCreateInfo*>(this);
}

## operator VkDeviceQueueCreateInfo const &()

VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::operator VkDeviceQueueCreateInfo const & | ( |  | ) | const

inline

Definition at line 22078 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDeviceQueueCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::operator!= | ( | DeviceQueueCreateInfo const & | rhs | ) | const

inline

Definition at line 22098 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DeviceQueueCreateInfo& VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::operator= | ( | VkDeviceQueueCreateInfo const & | rhs | ) |

inline

Definition at line 22043 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DeviceQueueCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::operator== | ( | DeviceQueueCreateInfo const & | rhs | ) | const

inline

Definition at line 22088 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( queueFamilyIndex == rhs.queueFamilyIndex )
&& ( queueCount == rhs.queueCount )
&& ( pQueuePriorities == rhs.pQueuePriorities );
}

References flags, pNext, pQueuePriorities, queueCount, queueFamilyIndex, and sType.

Referenced by operator!=().

## setFlags()

DeviceQueueCreateInfo& VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::setFlags | ( | DeviceQueueCreateFlags | flags_ | ) |

inline

Definition at line 22054 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

DeviceQueueCreateInfo& VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 22048 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPQueuePriorities()

DeviceQueueCreateInfo& VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::setPQueuePriorities | ( | const float * | pQueuePriorities_ | ) |

inline

Definition at line 22072 of file vulkan.hpp.

{
pQueuePriorities = pQueuePriorities_;
return *this;
}

References pQueuePriorities.

## setQueueCount()

DeviceQueueCreateInfo& VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::setQueueCount | ( | uint32_t | queueCount_ | ) |

inline

Definition at line 22066 of file vulkan.hpp.

{
queueCount = queueCount_;
return *this;
}

References queueCount.

## setQueueFamilyIndex()

DeviceQueueCreateInfo& VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::setQueueFamilyIndex | ( | uint32_t | queueFamilyIndex_ | ) |

inline

Definition at line 22060 of file vulkan.hpp.

{
queueFamilyIndex = queueFamilyIndex_;
return *this;
}

References queueFamilyIndex.

## Field Documentation

## flags

DeviceQueueCreateFlags VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::flags

Definition at line 22108 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::pNext = nullptr

Definition at line 22107 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pQueuePriorities

const float* VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::pQueuePriorities

Definition at line 22111 of file vulkan.hpp.

Referenced by operator==(), and setPQueuePriorities().

## queueCount

uint32_t VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::queueCount

Definition at line 22110 of file vulkan.hpp.

Referenced by operator==(), and setQueueCount().

## queueFamilyIndex

uint32_t VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::queueFamilyIndex

Definition at line 22109 of file vulkan.hpp.

Referenced by operator==(), and setQueueFamilyIndex().

## sType

StructureType VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::sType = StructureType::eDeviceQueueCreateInfo

private

Definition at line 22104 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:22107
VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::flags
DeviceQueueCreateFlags flags
Definition: vulkan.hpp:22108
VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::queueCount
uint32_t queueCount
Definition: vulkan.hpp:22110
VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:22104
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::queueFamilyIndex
uint32_t queueFamilyIndex
Definition: vulkan.hpp:22109
VkDeviceQueueCreateInfo
Definition: vulkan_core.h:2025
VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::operator==
bool operator==(DeviceQueueCreateInfo const &rhs) const
Definition: vulkan.hpp:22088
VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::pQueuePriorities
const float * pQueuePriorities
Definition: vulkan.hpp:22111
VULKAN_HPP_NAMESPACE::DeviceQueueCreateInfo::DeviceQueueCreateInfo
DeviceQueueCreateInfo(DeviceQueueCreateFlags flags_=DeviceQueueCreateFlags(), uint32_t queueFamilyIndex_=0, uint32_t queueCount_=0, const float *pQueuePriorities_=nullptr)
Definition: vulkan.hpp:22027
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480